> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Managed Kafka cluster rates

> Retrieves a Managed Kafka cluster's messages in and bytes out per second over the last 5 minutes, each topic's messages in per second now and over the last hour, and each consumer group's lag per topic over the range with its derived read rate. Cached for 30 seconds. Returns 400 for other clusters and 409 if the cluster isn't active.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml get /kafka-clusters/{uuid}/rates
openapi: 3.1.0
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.200
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /kafka-clusters/{uuid}/rates:
    get:
      tags:
        - Kafka clusters
      summary: Get Managed Kafka cluster rates
      description: >-
        Retrieves a Managed Kafka cluster's messages in and bytes out per second
        over the last 5 minutes, each topic's messages in per second now and
        over the last hour, and each consumer group's lag per topic over the
        range with its derived read rate. Cached for 30 seconds. Returns 400 for
        other clusters and 409 if the cluster isn't active.
      operationId: kafka_cluster_rates
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
        - description: How far back the topic and consumer group series go, defaults to 1h
          in: query
          name: range
          schema:
            description: >-
              How far back the topic and consumer group series go, defaults to
              1h
            enum:
              - 1h
              - 6h
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayloadsKafkaClusterRates'
          description: OK
        '400':
          description: Bad Request
        '404':
          description: Not Found
        '409':
          description: Conflict
        '500':
          description: Internal Server Error
        '502':
          description: Bad Gateway
components:
  schemas:
    PayloadsKafkaClusterRates:
      properties:
        cluster:
          $ref: '#/components/schemas/PayloadsKafkaClusterRatesCluster'
        groups:
          items:
            $ref: '#/components/schemas/PayloadsKafkaClusterRatesGroupLag'
          type: array
        seriesStepSeconds:
          type: integer
        topics:
          items:
            $ref: '#/components/schemas/PayloadsKafkaClusterRatesTopic'
          type: array
      required:
        - cluster
        - topics
        - groups
        - seriesStepSeconds
      type: object
    PayloadsKafkaClusterRatesCluster:
      properties:
        bytesInPerSecond:
          type:
            - 'null'
            - number
        bytesInSeries:
          items:
            $ref: '#/components/schemas/PayloadsKafkaMetricsGraphPoint'
          type: array
        bytesOutPerSecond:
          type:
            - 'null'
            - number
        bytesOutSeries:
          items:
            $ref: '#/components/schemas/PayloadsKafkaMetricsGraphPoint'
          type: array
        messagesInPerSecond:
          type:
            - 'null'
            - number
      required:
        - messagesInPerSecond
        - bytesInPerSecond
        - bytesOutPerSecond
        - bytesInSeries
        - bytesOutSeries
      type: object
    PayloadsKafkaClusterRatesGroupLag:
      properties:
        group:
          type: string
        lag:
          items:
            $ref: '#/components/schemas/PayloadsKafkaMetricsGraphPoint'
          type: array
        readPerSecond:
          type:
            - 'null'
            - number
        topic:
          type: string
      required:
        - group
        - topic
        - lag
        - readPerSecond
      type: object
    PayloadsKafkaClusterRatesTopic:
      properties:
        messagesInPerSecond:
          type:
            - 'null'
            - number
        messagesInSeries:
          items:
            $ref: '#/components/schemas/PayloadsKafkaMetricsGraphPoint'
          type: array
        topic:
          type: string
      required:
        - topic
        - messagesInPerSecond
        - messagesInSeries
      type: object
    PayloadsKafkaMetricsGraphPoint:
      properties:
        timestamp:
          format: date-time
          type: string
        value:
          format: double
          type: number
      required:
        - timestamp
        - value
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.